SQLITE_DENY(3) | Library Functions Manual | SQLITE_DENY(3)

# NAME

`SQLITE_DENY`, `SQLITE_IGNORE` —
Authorizer Return Codes

# SYNOPSIS

`#define SQLITE_DENY`
`#define SQLITE_IGNORE`

# DESCRIPTION

The authorizer callback function must return either SQLITE_OK or one of these two constants in order to signal SQLite whether or not the action is permitted. See the authorizer documentation for additional information.

Note that SQLITE_IGNORE is also used as a conflict resolution mode returned from the sqlite3_vtab_on_conflict() interface.

# SEE ALSO

SQLITE_ROLLBACK(3), sqlite3_set_authorizer(3), sqlite3_vtab_on_conflict(3), SQLITE_OK(3)

December 19, 2018 | NetBSD 9.4